
From: Tobias Klauser <tklauser@nuerscht.ch>

Use the DMA_32BIT_MASK constant from dma-mapping.h when calling
pci_set_dma_mask() or pci_set_consistent_dma_mask() See
http://marc.theaimsgroup.com/?t=108001993000001&r=1&w=2 for details

Signed-off-by: Tobias Klauser <tklauser@nuerscht.ch>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 sound/oss/cmpci.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN sound/oss/cmpci.c~sound-oss-cmpci-use-the-dma_32bit_mask-constant sound/oss/cmpci.c
--- 25/sound/oss/cmpci.c~sound-oss-cmpci-use-the-dma_32bit_mask-constant	2005-05-31 00:50:07.000000000 -0700
+++ 25-akpm/sound/oss/cmpci.c	2005-05-31 00:50:07.000000000 -0700
@@ -123,6 +123,7 @@
 #include <linux/smp_lock.h>
 #include <linux/bitops.h>
 #include <linux/wait.h>
+#include <linux/dma-mapping.h>
 
 #include <asm/io.h>
 #include <asm/page.h>
@@ -3058,7 +3059,7 @@ static int __devinit cm_probe(struct pci
 		return -ENODEV;
 	if (pcidev->irq == 0)
 		return -ENODEV;
-	i = pci_set_dma_mask(pcidev, 0xffffffff);
+	i = pci_set_dma_mask(pcidev, DMA_32BIT_MASK);
 	if (i) {
 		printk(KERN_WARNING "cmpci: architecture does not support 32bit PCI busmaster DMA\n");
 		return i;
_
